/* Styling */
body {
    font-family: 'Arial', sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
}

.limited-size {
    width: 60%;
    margin: auto;
    padding: 20px;
}
.reduced-size {
	width: 20%;
    margin: auto;
    padding: 20px;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

h2 {
    color: #333;
    text-align: center;
}

label {
    display: block;
    margin-bottom: 5px;
}

ul {
    list-style-type: none;
    padding: 0;
}

ul li {
    padding: 5px 0;
}

ul li a {
    text-decoration: none;
    color: #333;
    padding: 5px 10px;
    display: block;
}

ul li a:hover {
    background-color: #f4f4f4;
}

/* Form group elements styling */
.form-group,
.form-group-form-transaction {
    display: flex;
    flex-direction: column; /* Stacks children elements vertically */
    margin-bottom: 10px; /* Adds space between each form group */
}

.flex-group,
.flex-group-form-transaction {
    flex-direction: row; /* Ensures this specific group is side by side */
	display: flex;
    align-items: center; /* Aligns items vertically */
}

.flex-label,
.flex-label-form-transaction {
    margin-right: 10px; /* Adjust spacing between label and input */
}

.flex-input,
.flex-input-form-transaction {
    flex: 1; /* Allows input to grow and fill the space */
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
	width: 100%;
}

.flex-input-file-upload {
    flex: 1; /* Allows input to grow and fill the space */
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
	width: 50%;
}

.flex-label {
    width: 140px;
    min-width: 140px;
}
.flex-label-form-transaction {
    width: 120px;
    min-width: 120px;
}

/* Buttons styling */
.btn-primary {
    width: 100%;
    padding: 10px;
    background-color: #5cb85c;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.btn-primary:hover {
    background-color: #4cae4c;
}

.btn-secondary {
    width: auto; /* Adjust as needed */
    padding: 10px;
    background-color: #d9534f; /* Different color for logout button */
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
	margin-left: 20px;
}

.btn-secondary:hover {
    background-color: #c9302c; /* Darker shade for hover state */
}

.btn-tertiary {
    padding: 10px 20px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.btn-tertiary:hover {
    background-color: #0056b3;
}

.logout-form,
.encase-btn-secondary,
.encase-btn-primary {
    margin-left: 10px; /* Adds space between buttons */
}

.button-group {
    display: flex;
}

.radio-group {
    display: flex;
    justify-content: start;
	margin-bottom: 15px;
}

.radio-group label {
    margin-right: 20px; /* Adjust spacing between radio buttons */
}

.alert {
    color: red;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

/* Search form styling */
form {
    display: flex;
    margin-bottom: 20px;
}

.input-search {
    flex: 1;
    padding: 10px;
    margin-right: 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
}

/* Table styling */
table {
    width: 100%;
    border-collapse: collapse;
}

table, th, td {
    border: 1px solid #ddd;
}

th, td {
    padding: 10px;
    text-align: left;
}

th {
    background-color: #f2f2f2;
}

tr:nth-child(even) {
    background-color: #f9f9f9;
}

/* Pagination container */
nav {
    text-align: center; /* Center the pagination */
	margin-top: 20px;
}

/* Pagination links */
.pagination {
    display: inline-block;
    padding-left: 0;
    margin: 20px 0;
    border-radius: 4px;
}

/* Formatting style*/
.right-align-column {
    text-align: right;
}

.center-text {
    text-align: center;
}

/* Style for the form within the table header */
th form {
    display: inline-block;
    width: 100%;
    margin: 0;
    padding: 0;
}

/* Style for the select dropdown */
th select {
    width: 100%;
    padding: 4px;
    margin-top: 4px;
    border: 1px solid #ccc;
    border-radius: 4px;
	font-size: 15px;
    font-weight: bold;
}

/* Style to remove default form styling */
th form select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

/* Reduce the image of the left right icon */
.h-5 {
	width: 20px;
	height: 20px;
}
